/*
 * @class util.legacy
 *
 */

/*
 * @copyright       © Copyright 2006-2017, epages GmbH, All Rights Reserved.
 *
 * @module          util/legacy
 */

define("util/legacy", ["module", "jquery"], function (mod, $) {

    var module = {
        // set selected value to corresponding samp element
        changeSampleText: function (elem, group) {
            var self = $(elem),
                val = self.val(),
                text = (elem.selectedIndex < 1) ? "" : elem.options[elem.selectedIndex].text,
                samp = $('samp[title=' + group + ']');

            if (samp.length) {
                samp.html(text);
            }
        },

        // set error class to corresponding element
        checkElement: function(checkElem, elem) {
            var errorClass = 'DialogError';

            if(checkElem && elem){
                $(checkElem)[(checkElem.value === '' && elem.value !== '') ? 'addClass' : 'removeClass'](errorClass);
            }
        }
    };

    return module;

});